Bug 58339 - /etc/X11/XF86Config-4 isn't right for PS2 wheeled mouse
Summary: /etc/X11/XF86Config-4 isn't right for PS2 wheeled mouse
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-14 18:04 UTC by Marius Andreiana
Modified: 2007-04-18 16:39 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-15 00:32:19 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marius Andreiana 2002-01-14 18:04:05 UTC
Description of Problem:
after install, the mouse wheel doesn't work until I change the line
	Option		"Protocol"		"PS/2"
to

        Option      "Protocol" "IMPS/2"

How Reproducible:
always

Steps to Reproduce:
1. install rh linux on a system with mouse with wheel on ps/2;
during install leave the mouse as detected.

Actual Results:
wheel should work in X after installation with no additional tweaks

Expected Results:
wheel doesn't work in X after installation

Additional Information:
my mouse is Genius, don't know if it matters (I know the IMPS/2 trick from
a friend with the same problem)

Comment 1 Alexei Podtelezhnikov 2002-01-15 00:32:13 UTC
I guess that you missed the third screen during the instalation. Yes, it's 
about setting the mouse type. If you just agreed to "Generic 3-button mouse 
PS/2", this is exactly what you got at the end - "PS/2". If you found your 
mouse there and picked it, then and only then it's a bug. In this case, don't 
forget to tell us which mouse exactly you have (model + make from the 
down-side of it), and what was you choice during instalation.

To play with different choices without the need to reistall it all use 
"mouseconfig".


Comment 2 Jeremy Katz 2002-01-15 19:05:25 UTC
Correct, you need to select the correct mouse type on the mouse selection
screen.  PS/2 mice, unfortunately, don't really have much in the way of probing
support :)

Comment 3 Marius Andreiana 2002-01-17 14:35:00 UTC
thanks for help, it's ok if I manually select the correct mouse type


Note You need to log in before you can comment on or make changes to this bug.